## Class template attribute_matches

boost::log::expressions::attribute_matches

## Synopsis

    // In header: <boost/log/expressions/predicates/matches.hpp>

    template<typename T, typename RegexT,
             typename FallbackPolicyT = fallback_to_none>
    class attribute_matches {
    public:
      // construct/copy/destruct
      attribute_matches(attribute_name const &, RegexT const &);
      template<typename U>
        attribute_matches(attribute_name const &, RegexT const &, U const &);
    };

## Description

The predicate checks if the attribute value matches a regular expression. The attribute value is assumed to be of a string type.

### `attribute_matches` public construct/copy/destruct

1.     attribute_matches(attribute_name const & name, RegexT const & rex);

   Initializing constructor

   Parameters:

   `name` | Attribute name
   `rex` | The regular expression to match the attribute value against

2.     template<typename U>
         attribute_matches(attribute_name const & name, RegexT const & rex,
                           U const & arg);

   Initializing constructor

   Parameters:

   `arg` | Additional parameter for the fallback policy
   `name` | Attribute name
   `rex` | The regular expression to match the attribute value against